Library Version 11.2.5.3

DB_LOGC->close()
Prev | Chapter 7. The DB_LSN Handle | Next

## DB_LOGC->close()

    #include <db.h>

    int
    DB_LOGC->close(DB_LOGC *cursor, u_int32_t flags);

The `DB_LOGC->close()` method discards the log cursor. After `DB_LOGC->close()` has been called, regardless of its return, the cursor handle may not be used again.

The `DB_LOGC->close()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### flags

The flags parameter is currently unused, and must be set to 0.

### Errors

The `DB_LOGC->close()` method may fail and return one of the following non-zero errors:

#### EINVAL

If the cursor is already closed; or if an invalid flag value or parameter was specified.

### Class

DB_ENV, DB_LOGC, DB_LSN

### See Also

Logging Subsystem and Related Methods

Prev | Up | Next
The DB_LOGC Handle | Home | DB_LOGC->get()